## org.apache.axis.components.compiler
Class CompilerFactory

    java.lang.Object
      org.apache.axis.components.compiler.CompilerFactory

public class CompilerFactory
extends java.lang.Object

This class implements a factory to instantiate a Compiler.

Since:
  2.0
Author:
  Davanum Srinivas, Stefano Mazzocchi

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Constructor Summary
`CompilerFactory()`

Method Summary
`static Compiler` `getCompiler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### CompilerFactory

    public CompilerFactory()

Method Detail

### getCompiler

    public static Compiler getCompiler()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.